

# - Attached to: []
#   ID: 8c87c196-1dd6-4190-bff5-00b543965093
#   Name: ovh-managed-kubernetes-e6j07m-pvc-9fad19b4-b32c-452a-9893-524fcdc3a4b1
#   Size: 50
#   Status: available
# - Attached to:
#   - attached_at: '2022-06-27T17:38:53.000000'
#     attachment_id: 88a7dfc4-5bdf-4864-b38d-c82169c37b9d
#     device: /dev/sdc
#     host_name: null
#     id: c9b11fcb-a6a4-4387-b55b-34121f97dac4
#     server_id: 37220c33-19e7-45cc-9c6a-ddf957be3c76
#     volume_id: c9b11fcb-a6a4-4387-b55b-34121f97dac4
#   ID: c9b11fcb-a6a4-4387-b55b-34121f97dac4
#   Name: ovh-managed-kubernetes-e6j07m-pvc-13dcac68-71c9-4794-b0ab-d48e76d843ef
#   Size: 5800
#   Status: in-use

## LONG

# - Attached to:
#   - attached_at: '2022-06-27T17:31:53.000000'
#     attachment_id: 845a7ff2-ad54-4040-b69b-fce7fdfdece2
#     device: /dev/sdb
#     host_name: null
#     id: 6d4492e5-6b38-4ad3-b9bf-27ba86e2506b
#     server_id: 37220c33-19e7-45cc-9c6a-ddf957be3c76
#     volume_id: 6d4492e5-6b38-4ad3-b9bf-27ba86e2506b
#   Bootable: 'false'
#   ID: 6d4492e5-6b38-4ad3-b9bf-27ba86e2506b
#   Name: ovh-managed-kubernetes-e6j07m-pvc-7bf995bf-ac82-4f42-94ca-78cd9c78959d
#   Properties:
#     attached_mode: rw
#     cinder.csi.openstack.org/cluster: kubernetes
#     readonly: 'False'
#   Size: 1
#   Status: in-use
#   Type: high-speed


require "../models"

module Arkisto
  module OSVolume
    class ListItemModel < Model
      @[YAML::Field(key: "Attached to")]
      property attached_to : Array(OSVolume::ListItemAttachment::ListItemModel)

      @[YAML::Field(key: "Bootable")]
      property bootable : String

      @[YAML::Field(key: "ID")]
      property id : String

      @[YAML::Field(key: "Name")]
      property name : String

      @[YAML::Field(key: "Properties")]
      property properties : YAML::Any

      @[YAML::Field(key: "Size")]
      property size : UInt16

      @[YAML::Field(key: "Status")]
      property status : String

      @[YAML::Field(key: "Type")]
      property type : String
    end
  end
end

